Subject: Re: [mobile-ip] Additional comments on draft-arkko-mipv6-bu-security-00.txt

From: Erik Nordmark <[email-masked]>
Date: Sun, 9 Dec 2001 00:46:49 +0100 (CET)

> Hello Jari,
> 
> Jari Arkko wrote:
> 
> > Erik, thanks for your comments. I have some answers below:
> > 
> > > Section 6.4 talks about having a configuration knob to allow
> > > unsecure BUs. I think this is a big mistake. Instead the WG should
> > > develop some BU solution that can give some security comparable to
> > > today's IPv4 security.
> > 
> > I agree! I have recently come to the conclusion myself that
> > we should not allow unsecure RO at all, and as a minimum should
> > require one of the weak auth protocols.
> 
> I was really surprised to read this.  Unsecure route optimization has
> _never_ been allowable in the Mobile IP working group, neither for
> IPv4 or for IPv6.  When has there been discussion otherwise?
> 
> Or am I misinterpreting something?

Charlie, you apparently didn't read the subject line of the message.
This discuss thread is about the text in draft-arkko-mipv6-bu-security-00.txt.

   Erik

---

From: Charlie Perkins <[email-masked]>
Date: Mon, 10 Dec 2001 10:24:11 -0800

Hello Erik,

Erik Nordmark wrote:

>               ......

I got that part all right, but I still am very curious about why there
might have been discussion about allowing unsecured Binding Updates.
They are known to be bad, and they are not and have not been part
of the Mobile IP protocol for reasons which have been well known
for many years.  Thus, when I read that people have now drawn the
conclusion that unsecured Binding Updates are bad, I begin to
wonder how the discussion was intended to be related to Mobile IPv6.

Regards,
Charlie P.